# Class ConnectionNotification

java.lang.Object
java.util.EventObject
javax.management.Notification
com.sun.messaging.jms.management.server.MQNotification
com.sun.messaging.jms.management.server.ConnectionNotification

All Implemented Interfaces:
  `Serializable`

public class ConnectionNotification extends MQNotification
Class containing information on cluster operations.

The MQ specific fields in this notification is TBD.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONNECTION_CLOSE`
  A connection was closed.
  `static final String`
  `CONNECTION_OPEN`
  A connection was created.
  `static final String`
  `CONNECTION_REJECT`
  A connection was rejected.

  ### Fields inherited from class MQNotification

  `PREFIX`

  ### Fields inherited from class Notification

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionNotification(String type, Object source, long sequenceNumber)`
  Creates a ConnectionNotification object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConnectionID()`
  `String`
  `getRemoteHost()`
  `String`
  `getServiceName()`
  `String`
  `getUserName()`
  `void`
  `setConnectionID(String id)`
  `void`
  `setRemoteHost(String remoteHost)`
  `void`
  `setServiceName(String serviceName)`
  `void`
  `setUserName(String userName)`

  ### Methods inherited from class Notification

  `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

  ### Methods inherited from class EventObject

  `getSource`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONNECTION_OPEN

    public static final String CONNECTION_OPEN
    A connection was created.
    See Also:
      - Constant Field Values

  - ### CONNECTION_CLOSE

    public static final String CONNECTION_CLOSE
    A connection was closed.
    See Also:
      - Constant Field Values

  - ### CONNECTION_REJECT

    public static final String CONNECTION_REJECT
    A connection was rejected.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectionNotification

    public ConnectionNotification(String type, Object source, long sequenceNumber)
    Creates a ConnectionNotification object.
    Parameters:
      `type` - The notification type.
      `source` - The notification source.
      `sequenceNumber` - The notification sequence number within the source object.

- ## Method Details

  - ### setConnectionID

    public void setConnectionID(String id)

  - ### getConnectionID

    public String getConnectionID()

  - ### setServiceName

    public void setServiceName(String serviceName)

  - ### getServiceName

    public String getServiceName()

  - ### setUserName

    public void setUserName(String userName)

  - ### getUserName

    public String getUserName()

  - ### setRemoteHost

    public void setRemoteHost(String remoteHost)

  - ### getRemoteHost

    public String getRemoteHost()